Last modified: 2011-02-24 21:21:47 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27495 - Change NS_USER and NS_USER_TALK namespaces at ptwiki
Change NS_USER and NS_USER_TALK namespaces at ptwiki
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal major with 1 vote (vote)
: ---
Assigned To: Antoine "hashar" Musso (WMF)
: shell
Depends on:
Blocks: 27339
  Show dependency treegraph
 
Reported: 2011-02-17 12:19 UTC by Ruy
Modified: 2011-02-24 21:21 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Ruy 2011-02-17 12:19:01 UTC
Please, reset the correct default namespaces 2 and 3 at Portuguese Wikipedia (ptwiki) to "Usuário" and "Usuário Discussão".

Yesterday, during the MediaWiki update, the namespaces 2 and 3 ("Usuário" and "Usuário Discussão") was changed for "Utilizador" and "Utilizador Discussão". "Usuário" has always been a consolidated and widely accepted form for these namespaces at ptwiki.

Thanks in advance,

[Ruy Pugliesi]: http://meta.wikimedia.org/wiki/User:Ruy_Pugliesi
Comment 1 Raimond Spekking 2011-02-17 13:17:48 UTC
r66515 is the reason the new user namespace translation. I was told that the new translation is correct.

As far as it is not possible to switch main translation and alias for 1 project only.
Comment 2 Ruy 2011-02-17 13:24:59 UTC
(In reply to comment #1)
> r66515 is the reason the new user namespace translation. I was told that the
> new translation is correct.
> 
> As far as it is not possible to switch main translation and alias for 1 project
> only.

Sorry, but changing from pt-br to pt-pt is not acceptable. Furthermore, the new translation is incorrect for ptwiki. Isn't there another way to solve that? Couldn't you switch main translation for all projects, so? Thx.
Comment 3 Leinad 2011-02-17 13:28:48 UTC
Per disussion on http://translatewiki.net/wiki/Thread:Support/Namespaces_in_pt it looks that translation is correct.

If community would like to have own local name of user namespace, should request to set in http://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php:

'wgExtraNamespaces' => array(
    'ptwiki' => array( 
        NS_PROJECT_TALK => 'Usuário_Discussão',
        NS_USER => 'Usuário',
    ),
),
Comment 4 Ruy 2011-02-17 13:43:22 UTC
(In reply to comment #3)
> Per disussion on http://translatewiki.net/wiki/Thread:Support/Namespaces_in_pt
> it looks that translation is correct.
> 
> If community would like to have own local name of user namespace, should
> request to set in
> http://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php:
> 
> 'wgExtraNamespaces' => array(
>     'ptwiki' => array( 
>         NS_PROJECT_TALK => 'Usuário_Discussão',
>         NS_USER => 'Usuário',
>     ),
> ),



Yep, ptwiki community does want to have own local name of user namespace. It was previously discussed in April 2010, as you can see here: http://pt.wikipedia.org/wiki/Wikip%C3%A9dia:Esplanada/geral/J%C3%A1_n%C3%A3o_somos_usu%C3%A1rios,_somos_utilizadores_%289abr2010%29

So, please, you can set that in http://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php, as you appointed above.

Thanks.
Comment 5 Leinad 2011-02-18 00:36:29 UTC
(In reply to comment #3)
> 'wgExtraNamespaces' => array(
>     'ptwiki' => array( 
>         NS_PROJECT_TALK => 'Usuário_Discussão',
>         NS_USER => 'Usuário',
>     ),
> ),

Sorry, I made a mistake, correct code is:

'wgExtraNamespaces' => array(
    'ptwiki' => array( 
        NS_USER => 'Usuário',
        NS_USER_TALK => 'Usuário_Discussão',
    ),
),
Comment 6 Antoine "hashar" Musso (WMF) 2011-02-19 15:02:42 UTC
I have just fixed the pt wikipedia, verified the change by looking at the search page:
http://pt.wikipedia.org/wiki/Especial:Pesquisar
Comment 7 Opraco 2011-02-19 16:34:01 UTC
Hi, could you please add "Utilizador" and "Utilizador Discussão" as aliases to namespaces 2 and 3, respectively? They existed before and some links have been broken. Thanks.
Comment 8 Waldir 2011-02-20 03:35:32 UTC
The link pointed at comment #4 as "discussion" hardly contains any discussion about which form ("usuário" or "utilizador") should be used; it contains instead tehcnical discussion about why the change happened and how to restore the previous state.

For future reference, proper discussion about what form ptwiki should use to translate "user" can be found at [[pt:Wikipédia:Grande reforma dos domínios#Usuário]] and [[pt:Wikipédia:Votações/Renomeação de namespaces#Namespace:Usuário]]
Comment 10 Antoine "hashar" Musso (WMF) 2011-02-20 15:46:00 UTC
Opraco > the "Utilizador" namespace only existed for 3 days on ptwiki and was a "bug" in our deployment of 1.17 on the Wikimedia servers.
The above links seems to request a change to "Wikipedista", so I am not going to add namespaces aliases possibly unwanted by the community.
Comment 11 Waldir 2011-02-20 21:15:51 UTC
(In reply to comment #10)
> The above links seems to request a change to "Wikipedista", so I am not going
> to add namespaces aliases possibly unwanted by the community.

(Assuming you mean the links I posted) The first one barely contains any consensus. Too few people participated and it consisted mostly of ideas thrown in a brainstorming, without any attempt to reach consensus. I added it for completeness and historical reference.

The second link does indeed gather a community decision (though not by any significant consensus, 27 people for the change vs. 25 against) to alter the namespace from "usuário" to "wikipedista". This was requested here (bug 9587) and refused since it's Wikipedia-specific (not even WMF-specific since there's also wiktionary, etc).

I am only adding this comment for future reference; however, I do think it's unfortunate that ptwiki uses a Brazilian term for user rather than the more neutral "utilizador" (which is acceptable in all variants of Portuguese). I will add my support if a proposal to remove the Brazilian-specific customizations  at ptwikipedia (mentioned by Leinad above) is made.
Comment 12 Helder 2011-02-23 20:55:28 UTC
(In reply to comment #10)
> Opraco > the "Utilizador" namespace only existed for 3 days on ptwiki and was a
> "bug" in our deployment of 1.17 on the Wikimedia servers.
> The above links seems to request a change to "Wikipedista", so I am not going
> to add namespaces aliases possibly unwanted by the community.

If I remember correctly, the alias "Utilizador" existed before the update. Indeed, both names can be used in other Portuguese projects. It is annoying to have the links woking in all Portuguese wikis except Wikipedia.
Comment 13 Antoine "hashar" Musso (WMF) 2011-02-23 22:20:46 UTC
So basically I should override the MediaWiki setting which is portuguese (PT_pt) :
- use the Brazillan PT_br translations for all portugueses projects (wikipedia, wikiquote ...)
- use the portuguese PT_pt variant as namespace alias

Would it fit the needs of the community ?
Comment 14 Waldir 2011-02-24 01:16:13 UTC
I am not sure about that, I think only the pt.wikipedia community is more vocal about that (having "Usuário" as default), and mostly for historical reasons. I think a global poll to set this issue for good would be in order before any changes.

But if you'd rather solve this quickly and set up aliases so that both are valid, that would, I believe, satisfy most people (those who care to complain, at least).
Comment 15 Antoine "hashar" Musso (WMF) 2011-02-24 21:21:47 UTC
I have added the aliases to the cluster. 'Utilizador' now points to 'Usuário' which is the default.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links